Subject: Re: merging commit history

From: Stephen & Linda Smith <[email-masked]>
Date: Tue, 16 Jul 2013 18:08:18 -0700

I did as Andrew suggested and created two git repositories  with one  branch using oldCM history and the second branch using having the svn history.  

Then I checked out the svn branch and rebased onto oldCM.   The head of the combined branch is named master.

How do I manually set git/git-svn up so that HEAD  points to -r rev  in the svn repository?    Googling doesn't come up with a solution; I previously thought google knows all.

When done, I would like git svn dcommit to be able to commit to the svn repo.

Thanks
sps

On Friday, July 12, 2013 10:11:41 AM Andrew Ardill wrote:
> On 12 July 2013 09:43, Stephen & Linda Smith <[email-masked]> wrote:
> > I'm working on a project that used to use a proprietary CM system (aka oldCM).   At a point in time, the state of the code was frozen and used as the basis for commits in SVN.
> >
> > What I would like to to do is take the individal commits from the oldCM and place them into git knowing that the time/date stamps won't match.  Then I want to do whatever is necessary to
> > setup git so that I can run "svn rebase" to pull in the commits from the SVN repository.
> >
> > What is the easy way to do this?
> 
> 
> There may be other tools that make this easier, but if I had this
> problem I would simply create two repositories, one for oldCM and one
> for SVN. I would then merge the two together (as branches with
> different roots) and do my rebase from there.
> 
> I haven't tried this, and maybe there is something I am missing, but
> there shouldn't be too much pain going that way.
> 
> 
> Regards,
> 
> Andrew Ardill
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html